/* GENERAL */
input[type="text"], input[type="email"], input[type="password"], input[type="button"], input[type="submit"], input[type="checkbox"], input[type="radio"], select, textarea, button,
.selector, .selector *, .checker, .checker *, .radio, .radio *, .uploader, .uploader * {
    margin: 0;
    padding: 0;
    outline: 0;
    border: 0;
    font-family: 'Comic Neue Angular', sans-serif;
    font-size: 1rem;
    line-height: 1;
    color: #1e1d1d;
    background-color: transparent;
    transition: all 0.25s;
    -webkit-transition: all 0.25s;
}

.selector, .checker, .radio, .uploader {
    display: inline-block;
}

.selector span, .checker span, .radio span, .uploader span {
    background-repeat: no-repeat;
    display: block;
}

input[type="text"]:focus, input[type="email"]:focus, input[type="password"]:focus, textarea:focus {
    border-color: #e29125;
}

button {
    outline: 0 none;
}

button::-moz-focus-inner {
    border: 0;
}

/* TEXT & TEXTAREA */
input[type="text"], input[type="email"], input[type="password"], textarea {
    display: block;
    width: 100%;
    height: 2.15rem;
    background-image: url("image/textbox.png");
    background-repeat: no-repeat;
    background-position: left top;
    background-size: cover;
    padding: 0 1rem 0.3rem 1rem;
    text-align: center;
}

/* BUTTON */
button {
    display: inline-block;
    font-size: 2.8rem;
    height: 3rem;
    line-height: 3rem;
    text-transform: uppercase;
    outline: 0 none !important;
    white-space: nowrap;
    color: #f26722;
    cursor: pointer;
    font-family: 'BadaBoomBB';
    text-shadow: 3px 3px 0 #000, -2px -2px 0 #000, 2px -2px 0 #000, -2px 2px 0 #000, 2px 2px 0 #000;

    background-position: right center;
    background-repeat: no-repeat;
    background-size: contain;
}

button:after{
    transition: all 0.25s;
    -webkit-transition: all 0.25s;
}

button:hover{
    color: #F1901A;
}

button:hover:after{
    background-color: #F1901A !important;
}

button.IconButton {
    padding-right: 3.5rem;
}

button.IconArrowRight:after {
    background-image: url("../../Global/Input/image/button-arrow-right.png");
}

